
@font-face {
    font-family: joystix;
    src: url('/joystix.otf') format("opentype");
}


html {
    
  font-family: "joystix","Roboto", sans-serif;
  src: url('/joystix.otf') format("opentype");
  font-weight: 400;
  font-style: normal;
  
  
}


body {
}
.menu {
    overflow: hidden;
    width: 100%;
    z-index: 100;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: grid;
    flex-direction: row;
    flex-wrap: wrap;
    column-count: 2;
    grid-template-columns: 50% 50%;
    width: 90%;
    margin: auto;
    overflow: visible;
}

@media only screen and (max-width: 1080px) {
    .menu {
        column-count: 1;
        grid-template-columns: 50%;
    }
}

.game {
    justify-content: center;
    align-items: center;
    margin: 30px auto 60px auto;
    
    display: flex;
    width: 360pt;
    min-width: 360pt;
    height: 230pt;
    background-color: #009999;
    border-radius: 10pt;
    box-shadow: 0 0 16pt 0 rgba(255, 255, 255, 0.61);
    cursor: pointer;
    transition: all 0.3s;
    font-size: 30pt;
    background-image: 
    linear-gradient(#00999998, #00999998),
    url("/snakePic.png");
    background-size: cover;
    filter: url('#purple-sepia');
    max-width: 50%;
    box-sizing: border-box;
    
    animation: glow 1s ease-in-out infinite alternate;
    overflow: visible;
}

.gameCaption {
    color: #009999;
    text-shadow: 0 0 5pt rgba(255, 255, 255, 0.488);
    position: relative;
    transform: translateY(144pt);
    font-size: 23pt;
    animation: glow 1s ease-in-out infinite alternate;

}

@keyframes glow {
    from {
        text-shadow: 0 0 5pt rgba(255, 255, 255, 0.488);
    }
    to {
        text-shadow: 0 0 10pt rgba(255, 255, 255, 0.488);
    }
}

.highscoreButton {
    position: fixed;
    top: 0;
    left: 0;
}

.captionDiv {
    
    justify-content: center;
    align-items: center;
    margin: 00px auto 00px auto;
    
    display: flex;
    width: 360pt;
    min-width: 360pt;
    white-space: nowrap;
    max-width: 50%;
    box-sizing: border-box;
}

.flappy {
    background-image: 
    linear-gradient(#00999998, #00999998),
    url("flappy.PNG");
}

.jump {
    background-image: 
    linear-gradient(#00999998, #00999998),
    url("jump.PNG");
}

.game:hover {
    transform: scale(1.05);
    background-image: 
    linear-gradient(#00999900, #00999900),
    url("/snakePic.png");
}

.flappy:hover {
    background-image: 
    linear-gradient(#00999900, #00999900),
    url("flappy.PNG");
}

.jump:hover {
    background-image: 
    linear-gradient(#00999900, #00999900),
    url("jump.PNG");
}

.doodle {
    background-image: 
    linear-gradient(#00999998, #00999998),
    url("doodle.PNG");
}

.doodle:hover {
    background-image: 
    linear-gradient(#00999900, #00999900),
    url("doodle.PNG");
}

.caption{
    font-size: 36pt;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #009999;
    text-shadow: 0 0 5pt rgba(255, 255, 255, 0.488);
    margin: 3pt;
    animation: glow 1s ease-in-out infinite alternate;
}

.fullscreenDiv {
    position: fixed;
    width: 100%;
    height: 100%;
    color:white;
    z-index: 100;
    left: -0pt;
    top: -0pt;
    background-image: url("/Siemens-Gaming.png");
    pointer-events: none;

    animation: fadeOut 3s;
    animation-iteration-count: 1;
    -webkit-animation-fill-mode: forwards;
    background-size: contain;

}

.bg {
    z-index: -1;
    background-image: 
    linear-gradient(#00000098, #00000098),
    url("/BG.png");
    animation: none;
}

#Highscores {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    margin: 20px 100px 20px 100px;
    color: white;
}

.highscoreDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: white;
    ;
}

.highscoreEntry {
    margin: 20pt;
    height: 100pt;
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        pointer-events: all;
    }
    60% {
        opacity: 1;
        pointer-events: none;
    }
    100% {
        opacity: 0;
    }
}

